Subject: Re: bug#75725: SIGSEGV in emacs 30.0.93

From: Florian Franzmann <[email-masked]>
Date: Wed, 22 Jan 2025 08:06:42 +0100

On Di 2025-01-21 21:09:19 +0200, Eli Zaretskii wrote:
> > Date: Tue, 21 Jan 2025 18:20:05 +0100
> > From: Florian Franzmann <[email-masked]>
> > Cc: [email-masked]
> > 
> > Here is what I have in my config regarding fonts:
> > 
> > (setq doom-font (font-spec :family "MartianMono Nerd Font" :size 8.000000)
> >       doom-big-font (font-spec :family "MartianMono Nerd Font" :size 14.000000)
> >       doom-variable-pitch-font (font-spec :family "Noto Sans" :size 12.000000)
> >       doom-symbol-font (font-spec :family "MartianMono Nerd Font")
> >       doom-serif-font (font-spec :family "Noto Serif" :size 12.000000)
> >       my-org-font "Crimson Pro")
> > ;; ...
> > (defun my-refine-org-theme ()
> >   "Custom refinements of the org-mode appearance."
> >   (when window-system
> >     (let* (
> >            (custom--inhibit-theme-enable nil)
> >            (variable-tuple     `(:font ,my-org-font))
> >            (base-font-color     (face-foreground 'default nil 'default))
> >            (headline           `(:inherit default :foreground ,base-font-color))
> >            )
> > 
> >       (custom-theme-set-faces
> >        'user
> >        '(org-block ((t (:inherit fixed-pitch))))
> >        '(org-code ((t (:inherit (shadow fixed-pitch)))))
> >        '(org-document-info ((t (:foreground "dark orange"))))
> >        '(org-document-info-keyword ((t (:inherit (shadow fixed-pitch)))))
> >        '(org-indent ((t (:inherit (org-hide fixed-pitch)))))
> >        '(org-link ((t (:foreground "royal blue" :underline t))))
> >        '(org-meta-line ((t (:inherit (font-lock-comment-face fixed-pitch)))))
> >        '(org-property-value ((t (:inherit fixed-pitch))) t)
> >        '(org-special-keyword ((t (:inherit (font-lock-comment-face fixed-pitch)))))
> >        '(org-table ((t (:inherit fixed-pitch :foreground "#83a598"))))
> >        '(org-tag ((t (:inherit (shadow fixed-pitch) :weight bold :height 1.0))))
> >        '(org-verbatim ((t (:inherit (shadow fixed-pitch)))))
> >        `(org-document-title ((t (,@headline ,@variable-tuple :height 2.0736 :underline nil :bold nil))))
> >        `(org-level-1 ((t (,@headline ,@variable-tuple :height 2.0736))))
> >        `(org-level-2 ((t (,@headline ,@variable-tuple :height 1.728))))
> >        `(org-level-3 ((t (,@headline ,@variable-tuple :height 1.44))))
> >        `(org-level-4 ((t (,@headline ,@variable-tuple :height 1.2))))
> >        `(org-level-5 ((t (,@headline ,@variable-tuple :height 1.0))))
> >        `(org-level-6 ((t (,@headline ,@variable-tuple :height 1.0))))
> >        `(org-level-7 ((t (,@headline ,@variable-tuple :height 1.0))))
> >        `(org-level-8 ((t (,@headline ,@variable-tuple :height 1.0))))
> >        `(org-default ((t (,@headline ,@variable-tuple :height 1.0))))
> >        )
> >       ))
> >   )
> > 
> > and then somewhere
> >   (add-hook 'after-enable-theme-hook 'my-refine-org-theme)
> >   (add-hook 'org-mode-hook 'my-refine-org-theme)
> 
> Hmm... nothing stands out yet.
> 
> > Maybe using MartianMono as doom-symbol-font is problematic?
> 
> I don't know yet.  Which characters is doom-symbol-font used for?
> 
> But you could try that hypothesis by using some other font there, and
> seeing if the previous build of Emacs still crashes then.
> 
> Also, any idea which font is used on the mode line, and
> what part of the mode line uses the '(raise FACTOR)' display property
> there?  That's the part where the display code hit the font = NULL
> condition.
In my modeline there is one character that for which there doesn't
seem to be a glyph, unicode F418. gucharmap shows that one as a symbol
for a version-control branch in MartianMono Nerd Font, I don't
understand why emacs doesn't find the symbol, the rest of the modeline
looks like it's using that font.

--